If I need the application object I would normally do something like this: (setq acadapp (vlax-get-acad-object)) ... (vlax-release-object acadapp) What if I use "vlax-get-acad-object" without assigning it to a variable. There is no way to release it then so I am wondering if that is ok. I am trying to implement the requirement that startup code should not be processed if AutoCAD is not visible. So my AcadDoc.lsp file looks like this: ; check if AutoCAD is visible (if (= :vlax-true (vlax-get-property (vlax-get-acad-object) 'Visible)) (progn ; startup code here )) ; end of code that executes only if AutoCAD is visible (princ)